/*
 *  Project: LKH - lect3
 *  File: es1.c
 *  Date: 01/24/2006
 *  Author. R. Gioiosa
 */

#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/init.h>
#include <asm/uaccess.h>

#define MODULE_VERS "1.0"
#define MODULE_NAME "lkh3-es1"

#define DEBUG_ON

#ifdef DEBUG_ON
#define Dprintk(ARG...) printk(KERN_DEBUG MODULE_NAME ": " ARG)
#else
#define Dprintk(ARG...) 
#endif

static int __init es1_init(void)
{
  Dprintk("LKH: ES1 module loaded\n");
  return 0;
}

static void __exit es1_exit(void)
{
  Dprintk("LKH: ES1 module unloaded\n");
}

module_init(es1_init);
module_exit(es1_exit);

MODULE_AUTHOR("Roberto Gioiosa");
MODULE_DESCRIPTION("Linux Kernel Hacking 06 - Es.1");
MODULE_LICENSE("GPL");
MODULE_VERSION(MODULE_VERS);
